import request from '@/utils/request'

// 查询会议人员列表
export function listPerson(query) {
  return request({
    url: '/plant/person/list',
    method: 'get',
    params: query
  })
}

// 查询会议人员详细
export function getPerson(id) {
  return request({
    url: '/plant/person/' + id,
    method: 'get'
  })
}

// 新增会议人员
export function addPerson(data) {
  return request({
    url: '/plant/person',
    method: 'post',
    data: data
  })
}

// 修改会议人员
export function updatePerson(data) {
  return request({
    url: '/plant/person',
    method: 'put',
    data: data
  })
}

// 删除会议人员
export function delPerson(id) {
  return request({
    url: '/plant/person/' + id,
    method: 'delete'
  })
}

// 导出会议人员
export function exportPerson(query) {
  return request({
    url: '/plant/person/export',
    method: 'get',
    params: query
  })
}
